# Dynamic Table API

| **Dynamic table**                                                                                            |
| ------------------------------------------------------------------------------------------------------------ |
| *\<table class=”table-stripped” name=”string” autoNumbering=”boolean” iterable=”true” roleId=”id”>\</table>* |

#### Dynamic Table attributes

* **class** — define if it’s dynamic table table-stripped.
* **name** — string, length from 1 up to 128 symbols, restricted symbols &, “, <, >, field name used to fill in on envelope, unique for document, mandatory attribute.
* **roleId** — id of the role who should fill field on envelope, mandatory attribute.
* **autoNumbering** — boolean, defines if rows would be numbered, default value false if not set, optional attribute.
* **iterable** — should be true.

#### Example of dynamic table with field inside

```html
<div class="editor-table-field-wrapper">
    <table class="table-stripped" name="string" roleId="id" autoNumbering="boolean" iterable="true">
        <colgroup>
            <col width="325.5px"/>
            <col width="325.5px"/>
        </colgroup>
        <thead>
            <tr>
                <th>
                    <div class="editor-div">Column name</div>
                </th>
                <th>
                    <div class="editor-div">Column name</div>
                </th>
            </tr>
        </thead>
        <tbody>
            <tr iterable="true" name="*">
                <td>
                    <div class="editor-div">
                        <field type="text" name="string" roleId=\"id\"/>
                        <br/>
                    </div>
                </td>
                <td>
                    <div class="editor-div">
                        <br/>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</div>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/template-api/template-dynamic-fields-api/dynamic-table-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
